> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.vapi.ai/llms.txt.
> For full documentation content, see https://docs.vapi.ai/llms-full.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.vapi.ai/_mcp/server.

# Get Insights

GET https://api.vapi.ai/reporting/insight

Reference: https://docs.vapi.ai/api-reference/insight/insight-controller-find-all

## OpenAPI Specification

```yaml
openapi: 3.1.0
info:
  title: api
  version: 1.0.0
paths:
  /reporting/insight:
    get:
      operationId: insight-controller-find-all
      summary: Get Insights
      tags:
        - subpackage_insight
      parameters:
        - name: id
          in: query
          required: false
          schema:
            type: string
        - name: page
          in: query
          description: This is the page number to return. Defaults to 1.
          required: false
          schema:
            type: number
            format: double
        - name: sortOrder
          in: query
          description: This is the sort order for pagination. Defaults to 'DESC'.
          required: false
          schema:
            $ref: '#/components/schemas/ReportingInsightGetParametersSortOrder'
        - name: limit
          in: query
          description: This is the maximum number of items to return. Defaults to 100.
          required: false
          schema:
            type: number
            format: double
        - name: createdAtGt
          in: query
          description: >-
            This will return items where the createdAt is greater than the
            specified value.
          required: false
          schema:
            type: string
            format: date-time
        - name: createdAtLt
          in: query
          description: >-
            This will return items where the createdAt is less than the
            specified value.
          required: false
          schema:
            type: string
            format: date-time
        - name: createdAtGe
          in: query
          description: >-
            This will return items where the createdAt is greater than or equal
            to the specified value.
          required: false
          schema:
            type: string
            format: date-time
        - name: createdAtLe
          in: query
          description: >-
            This will return items where the createdAt is less than or equal to
            the specified value.
          required: false
          schema:
            type: string
            format: date-time
        - name: updatedAtGt
          in: query
          description: >-
            This will return items where the updatedAt is greater than the
            specified value.
          required: false
          schema:
            type: string
            format: date-time
        - name: updatedAtLt
          in: query
          description: >-
            This will return items where the updatedAt is less than the
            specified value.
          required: false
          schema:
            type: string
            format: date-time
        - name: updatedAtGe
          in: query
          description: >-
            This will return items where the updatedAt is greater than or equal
            to the specified value.
          required: false
          schema:
            type: string
            format: date-time
        - name: updatedAtLe
          in: query
          description: >-
            This will return items where the updatedAt is less than or equal to
            the specified value.
          required: false
          schema:
            type: string
            format: date-time
        - name: Authorization
          in: header
          description: Retrieve your API Key from [Dashboard](dashboard.vapi.ai).
          required: true
          schema:
            type: string
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/InsightPaginatedResponse'
servers:
  - url: https://api.vapi.ai
components:
  schemas:
    ReportingInsightGetParametersSortOrder:
      type: string
      enum:
        - ASC
        - DESC
      title: ReportingInsightGetParametersSortOrder
    InsightType:
      type: string
      enum:
        - bar
        - line
        - pie
        - text
      description: This is the type of the Insight.
      title: InsightType
    Insight:
      type: object
      properties:
        name:
          type: string
          description: This is the name of the Insight.
        type:
          $ref: '#/components/schemas/InsightType'
          description: This is the type of the Insight.
        id:
          type: string
          description: This is the unique identifier for the Insight.
        orgId:
          type: string
          description: >-
            This is the unique identifier for the org that this Insight belongs
            to.
        createdAt:
          type: string
          format: date-time
          description: >-
            This is the ISO 8601 date-time string of when the Insight was
            created.
        updatedAt:
          type: string
          format: date-time
          description: >-
            This is the ISO 8601 date-time string of when the Insight was last
            updated.
      required:
        - type
        - id
        - orgId
        - createdAt
        - updatedAt
      title: Insight
    PaginationMeta:
      type: object
      properties:
        itemsPerPage:
          type: number
          format: double
        totalItems:
          type: number
          format: double
        currentPage:
          type: number
          format: double
        itemsBeyondRetention:
          type: boolean
        createdAtLe:
          type: string
          format: date-time
        createdAtGe:
          type: string
          format: date-time
      required:
        - itemsPerPage
        - totalItems
        - currentPage
      title: PaginationMeta
    InsightPaginatedResponse:
      type: object
      properties:
        results:
          type: array
          items:
            $ref: '#/components/schemas/Insight'
        metadata:
          $ref: '#/components/schemas/PaginationMeta'
      required:
        - results
        - metadata
      title: InsightPaginatedResponse
  securitySchemes:
    bearer:
      type: http
      scheme: bearer
      description: Retrieve your API Key from [Dashboard](dashboard.vapi.ai).

```

## SDK Code Examples

```python
from vapi import Vapi

client = Vapi(
    token="YOUR_TOKEN_HERE",
)

client.insight.insight_controller_find_all()

```

```go
package example

import (
    context "context"

    serversdkgo "github.com/VapiAI/server-sdk-go"
    client "github.com/VapiAI/server-sdk-go/client"
    option "github.com/VapiAI/server-sdk-go/option"
)

func do() {
    client := client.NewClient(
        option.WithToken(
            "YOUR_TOKEN_HERE",
        ),
    )
    request := &serversdkgo.InsightControllerFindAllRequest{}
    client.Insight.InsightControllerFindAll(
        context.TODO(),
        request,
    )
}

```